/******************************************************************************
;  *   	@MCU				 : MC51F003A4
;  *   	@Create Date         : 2021.10.11
;  *   	@Author/Corporation  : Martin/SinoMCU
;  *   	@΢֧QQ 	 : 2048615934
;  *    @΢		     : http://www.sinomcu.com/
;  *   	@Copyright           : 2020 SINOMCU Corporation,All Rights Reserved.
;  *----------------------Abstract Description---------------------------------
;  *			                                        		
******************************************************************************/
#include "PWM.h"

/************************************************
;  *    @Function Name       : PWM0_Init
;  *    @Description         : PWM0
;  *    @IN_Parameter      	 :
;  *    @Return parameter    :
;  ***********************************************/
void PWM0_Init(void)
{
    PWM0P = 160 - 1; //T=(PWM0P+1)/Fsys
    PWM0D = 80 - 1;

    PWM0CR |= DEF_SET_BIT7; //PWM0
                            //PWM0ʱ,޸Ƶ,Ӱ,PWM0,;
                            //鰴ȹرPWM0,޸ĺٴ PWM0 ˳
    PWM0CR &= 0xf8;
    PWM0CR |= 0;             //F=Fsys
    PWM0CR &= ~DEF_SET_BIT3; //ռձЧΪ
    PWM0CR |= DEF_SET_BIT4;  //IO PWM0

    IE1 |= DEF_SET_BIT4; //PWM0ж  ûѡ
}

void PWM0_ISR(void) interrupt PWM0_IRQn
{
	SFR_INTERRUPT_BUFF_BIT_PWM0 = SFRSL0;		//жϻSFR
	
	SLK_SFR0();		//л0ҳĴ
    PWM0CR &= ~DEF_SET_BIT5;
    P00D = !P00D;
	
	SFRSL0 = SFR_INTERRUPT_BUFF_BIT_PWM0;		//˳жϻԭSFR
}

/**************************** end of file *********************************************/
