/******************************************************************************
;  *   	@MCU				 : MC51F003A4
;  *   	@Create Date         : 2021.10.11
;  *   	@Author/Corporation  : Martin/SinoMCU
;  *   	@΢֧QQ 	 : 2048615934
;  *    @΢		     : http://www.sinomcu.com/
;  *   	@Copyright           : 2020 SINOMCU Corporation,All Rights Reserved.
;  *----------------------Abstract Description---------------------------------
;  *			                                        		
******************************************************************************/
#include "INT.h"

/************************************************
;  *    @Function Name       : INT_Init
;  *    @Description         : ⲿж
;  *    @IN_Parameter        :
;  *    @Return parameter    :
;  ***********************************************/
void INT_Init(void)
{
    SLK_SFR1();
    SET_EXT0A();   //ʹⲿж
    SET_EXT0EN0(); //INT0ͨ0Ϊⲿж

    SET_EXT1A();	    
    SET_EXT1EN0();

	SET_EXT1A();	    
    SET_EXT1EN3();
    SLK_SFR0();

    SET_INT0_DOWN(); //INT0½ش          
    SET_INT1_DOWN();
}

void INT0_ISR(void) interrupt INT0X_IRQn
{
	SFR_INTERRUPT_BUFF_BIT_INT0 = SFRSL0;		//жϻSFR
	
	SLK_SFR0();
	if(EXTIS&DEF_SET_BIT2)		//INT00־
	{
		CLR_EXT0IF0();
		wake_up_status = 2;	//P13
	}
	
	SFRSL0 = SFR_INTERRUPT_BUFF_BIT_INT0;		//˳жϻԭSFR
}

void INT1_ISR(void) interrupt INT1X_IRQn
{
	SFR_INTERRUPT_BUFF_BIT_INT1 = SFRSL0;		//жϻSFR
	
	SLK_SFR0();
	if(EXTIS1&DEF_SET_BIT2)	//INT10־
	{
		CLR_EXT1IF0();
		wake_up_status = 3;		//P14
	}
	if(EXTIS1&DEF_SET_BIT5)//INT13־
	{
		CLR_EXT1IF3();
		wake_up_status = 4;		//P22
	}
	
	SFRSL0 = SFR_INTERRUPT_BUFF_BIT_INT1;		//˳жϻԭSFR
}



/**************************** end of file *********************************************/







