/******************************************************************************
;  *   	@MCU				 : MC51F003A4
;  *   	@Create Date         : 2020.01.02
;  *   	@Author/Corporation  : Martin/SinoMCU
;  *   	@΢֧QQȺ   : 814641858
;  *    @΢ٷ̳       : http://bbs.sinomcu.com/
;  *   	@Copyright           : 2020 SINOMCU Corporation,All Rights Reserved.
;  *----------------------Abstract Description---------------------------------
;  *			         PWM0⣬úʹã²Ҫ޸                            		
******************************************************************************/

#include "PWM0_LIB.h"

/************************************************
;  *    @Function Name       : PWM0_Init
;  *    @Description         :  PWM0_ENĬϿ
;  *    @IN_Parameter      	 :  PWM0 ò
;  *    @Return parameter    :
;  ***********************************************/
void PWM0_Init(PWM0_InitTypeDef *PWM0)
{
    PWM0CR = REG_CLR;
    PWM0CR |= PWM0_EN | PWM0->PWM0_OE | PWM0->PWM0_clock_division | PWM0->PWM0_polarity;
    if (PWM0->PWM0_interrupt == ENABLE) //ʹPWM0ж
    {
        IP1 &= ~PWM0_IE_ADDR;
        IPH1 &= ~PWM0_IE_ADDR; //жȼ
        IE1 |= PWM0_IE_ADDR;
        if (PWM0->PWM0_interrupt_priority == HIGH)
        {
            IP1 |= PWM0_IE_ADDR; //жȼ
        }
    }
    else
    {
        IE1 &= ~PWM0_IE_ADDR;
        IP1 &= ~PWM0_IE_ADDR;
        IPH1 &= ~PWM0_IE_ADDR; //жȼ
    }
}
/************************************************
;  *    @Function Name       : PWM0_Out_Bit_Set
;  *    @Description         : PWM0ʹ
;  *    @IN_Parameter        :
;  *    @Return parameter    :ENABLE,DISABLE
;  ***********************************************/
void PWM0_Out_Bit_Set(uint8_t state)
{
    if (state == ENABLE)
        PWM0CR |= PWM0_OE_ADDR;
    else
        PWM0CR &= ~PWM0_OE_ADDR;
}
/************************************************
;  *    @Function Name       : PWM0_T_Set
;  *    @Description         : 
;  *    @IN_Parameter        :
;  *    @Return parameter    :
;  ***********************************************/
void PWM0_T_Set(uint8_t num)
{
    PWM0P = num;
}
/************************************************
;  *    @Function Name       : PWM0_D_Set
;  *    @Description         : ռձ
;  *    @IN_Parameter        :
;  *    @Return parameter    :
;  ***********************************************/
void PWM0_D_Set(uint8_t num)
{
    PWM0D = num;
}

/**************************** end of file *********************************************/
