/******************************************************************************
;  *   	@MCU				 : MC51F003A4
;  *   	@Create Date         : 2021.10.11
;  *   	@Author/Corporation  : Martin/SinoMCU
;  *   	@΢֧QQ 	 : 2048615934
;  *    @΢		     : http://www.sinomcu.com/
;  *   	@Copyright           : 2020 SINOMCU Corporation,All Rights Reserved.
;  *----------------------Abstract Description---------------------------------
;  *			           SPI  дW25Q32(3.3V)
						дݣ(baud 9600)
						
            עڵÿ⺯ʱʼóԱ						
******************************************************************************/

#include "User_Def.h"

//ȫֱ
__O bit_flag flag1;
__O bit_flag SFR_interrupt_buff_H;
__O bit_flag SFR_interrupt_buff_L;
//˽б

u8 code TEXT_Buffer[] = {0x01, 0x02, 0x03, 0x04, 0x05, 0x06, 0x07, 0x08, 0x09, 0x0A};
#define TEST_FLASH_ADDR 0

/************************************************
;  *    @Function Name       : delay
;  *    @Description         : ͨʱ
;  *    @IN_Parameter      	 :
;  *    @Return parameter    :
;  ***********************************************/
void delay(uint16_t Num)
{
	for (; Num > 0; Num--)
	{
		_nop_();
	}
}

void main(void)
{
	uint8_t datatemp[sizeof(TEXT_Buffer)];
	uint8_t count;
	DISABLE_GIE(); //رж
	GPIO_Init();
	UART1_Init();
	delay(100);
	printf("Sinomcu\r\n");
	W25QXX_Init();
	while (W25QXX_ReadID() != W25Q32);
	ENABLE_GIE(); //ж

	while (1)
	{
		W25QXX_Erase_Sector(TEST_FLASH_ADDR);
		W25QXX_Write_NoCheck(&TEXT_Buffer, TEST_FLASH_ADDR, sizeof(TEXT_Buffer));
		W25QXX_Read(datatemp, TEST_FLASH_ADDR, sizeof(TEXT_Buffer));
		for (count = 0; count < sizeof(TEXT_Buffer); count++)
		{
			printf("%bu", datatemp[count]);
		}
		printf("\r\n");
		delay(60000);
		delay(60000);
		delay(60000);
		delay(60000);
		delay(60000);
	}
}

/**************************** end of file *********************************************/
